Bug 630480 - Review Request: rubygem-ruby-debug-base - Core component for fast Ruby debugger
Review Request: rubygem-ruby-debug-base - Core component for fast Ruby debugger
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 630481
  Show dependency treegraph
 
Reported: 2010-09-05 16:50 EDT by Mamoru TASAKA
Modified: 2010-09-09 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 13:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mastahnke: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-05 16:50:41 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-debug-base/rubygem-ruby-debug-base.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-debug-base/rubygem-ruby-debug-base-0.10.4-0.1.rc1.fc.src.rpm
Description: 
ruby-debug is a fast implementation of the standard Ruby debugger debug.rb. It
is implemented by utilizing a new Ruby C API hook. The core component 
provides support that front-ends can build on. It provides breakpoint 
handling, bindings for stack frames among other things.

Scratch build on koji
F-15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2448311
F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2448451
F-13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2448458
F-12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2448469
Comment 1 Michael Stahnke 2010-09-07 10:56:31 EDT
spec file is human readable.
rpmlint is silent or gives expected warning/errors.
check is enabled
package split into -doc package
ruby abi requires included
package builds in mock without issues
no unused macros


Package rubygem-debug-ruby APPROVED
Comment 2 Mamoru TASAKA 2010-09-07 13:31:00 EDT
Thank you!

New Package SCM Request
=======================
Package Name:        rubygem-ruby-debug-base
Short Description:   Core component for fast Ruby debugger
Owners:              mtasaka
Branches:            f12 f13 f14
InitialCC:
Comment 3 Kevin Fenzi 2010-09-08 14:01:55 EDT
Git done (by process-git-requests).
Comment 4 Mamoru TASAKA 2010-09-09 13:22:11 EDT
Rebuilt for F14/13/12, submitted push requests on bodhi, closing.

Thank you for reviewing and GIT procedure.

Note You need to log in before you can comment on or make changes to this bug.